/*
 *  define_gob.h
 *  scummvm
 *
 *  Created by DotEmu on 21/04/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef __DEFINE_GOB_H__
#define __DEFINE_GOB_H__

#include <vector>
#include "engines/igob/goblin.h"

const char* m_lvl[22] = {
"AVT003.AVJ",
"AVT00.AVJ" ,
"AVT002.AVJ",
"AVT004.AVJ",
"AVT005.AVJ",
"AVT001.AVJ",
"AVT007.AVJ",
"AVT006.AVJ",
"AVT009.AVJ",
"AVT008.AVJ",
"AVT010.AVJ",
"AVT011.AVJ",
"AVT012.AVJ",
"AVT014.AVJ",
"AVT015.AVJ",
"AVT016.AVJ",
"AVT017.AVJ",
"AVT018.AVJ",
"AVT019.AVJ",
"AVT020.AVJ",
"AVT021.AVJ",
"AVT022.AVJ"
};

uint16 m_codeLvLAscii[21][7] = 
{
{Common::ASCII_V, Common::ASCII_Q, Common::ASCII_V, Common::ASCII_Q, Common::ASCII_F, Common::ASCII_D, Common::ASCII_E},
{Common::ASCII_I, Common::ASCII_C, Common::ASCII_I, Common::ASCII_G, Common::ASCII_C, Common::ASCII_A, Common::ASCII_A},
{Common::ASCII_E, Common::ASCII_C, Common::ASCII_P, Common::ASCII_Q, Common::ASCII_P, Common::ASCII_C, Common::ASCII_C},
{Common::ASCII_F, Common::ASCII_T, Common::ASCII_W, Common::ASCII_K, Common::ASCII_F, Common::ASCII_E, Common::ASCII_N},
{Common::ASCII_H, Common::ASCII_Q, Common::ASCII_W, Common::ASCII_F, Common::ASCII_T, Common::ASCII_F, Common::ASCII_W},
{Common::ASCII_D, Common::ASCII_W, Common::ASCII_N, Common::ASCII_D, Common::ASCII_G, Common::ASCII_B, Common::ASCII_W},
{Common::ASCII_J, Common::ASCII_C, Common::ASCII_J, Common::ASCII_C, Common::ASCII_J, Common::ASCII_H, Common::ASCII_M},
{Common::ASCII_I, Common::ASCII_C, Common::ASCII_V, Common::ASCII_G, Common::ASCII_C, Common::ASCII_G, Common::ASCII_T},
{Common::ASCII_L, Common::ASCII_Q, Common::ASCII_P, Common::ASCII_C, Common::ASCII_U, Common::ASCII_J, Common::ASCII_V},
{Common::ASCII_H, Common::ASCII_N, Common::ASCII_W, Common::ASCII_V, Common::ASCII_G, Common::ASCII_K, Common::ASCII_B},
{Common::ASCII_F, Common::ASCII_T, Common::ASCII_Q, Common::ASCII_K, Common::ASCII_V, Common::ASCII_L, Common::ASCII_E},
{Common::ASCII_D, Common::ASCII_C, Common::ASCII_P, Common::ASCII_L, Common::ASCII_Q, Common::ASCII_M, Common::ASCII_H},
{Common::ASCII_E, Common::ASCII_W, Common::ASCII_D, Common::ASCII_G, Common::ASCII_P, Common::ASCII_N, Common::ASCII_L},
{Common::ASCII_T, Common::ASCII_C, Common::ASCII_N, Common::ASCII_G, Common::ASCII_T, Common::ASCII_O, Common::ASCII_V},
{Common::ASCII_T, Common::ASCII_C, Common::ASCII_V, Common::ASCII_Q, Common::ASCII_R, Common::ASCII_P, Common::ASCII_M},
{Common::ASCII_I, Common::ASCII_Q, Common::ASCII_D, Common::ASCII_N, Common::ASCII_K, Common::ASCII_Q, Common::ASCII_O},
{Common::ASCII_C, Common::ASCII_D, Common::ASCII_E, Common::ASCII_P, Common::ASCII_U, Common::ASCII_R, Common::ASCII_J},
{Common::ASCII_N, Common::ASCII_G, Common::ASCII_O, Common::ASCII_G, Common::ASCII_K, Common::ASCII_S, Common::ASCII_P},
{Common::ASCII_N, Common::ASCII_N, Common::ASCII_G, Common::ASCII_W, Common::ASCII_T, Common::ASCII_T, Common::ASCII_O},
{Common::ASCII_L, Common::ASCII_G, Common::ASCII_W, Common::ASCII_F, Common::ASCII_G, Common::ASCII_U, Common::ASCII_S},
{Common::ASCII_T, Common::ASCII_Q, Common::ASCII_N, Common::ASCII_G, Common::ASCII_F, Common::ASCII_V, Common::ASCII_C}
};

Common::KeyCode m_codeLvLKeyCode[21][7] = 
{
{Common::KEYCODE_v, Common::KEYCODE_q, Common::KEYCODE_v, Common::KEYCODE_q, Common::KEYCODE_f, Common::KEYCODE_d, Common::KEYCODE_e},
{Common::KEYCODE_i, Common::KEYCODE_c, Common::KEYCODE_i, Common::KEYCODE_g, Common::KEYCODE_c, Common::KEYCODE_a, Common::KEYCODE_a},
{Common::KEYCODE_e, Common::KEYCODE_c, Common::KEYCODE_p, Common::KEYCODE_q, Common::KEYCODE_p, Common::KEYCODE_c, Common::KEYCODE_c},
{Common::KEYCODE_f, Common::KEYCODE_t, Common::KEYCODE_w, Common::KEYCODE_k, Common::KEYCODE_f, Common::KEYCODE_e, Common::KEYCODE_n},
{Common::KEYCODE_h, Common::KEYCODE_q, Common::KEYCODE_w, Common::KEYCODE_f, Common::KEYCODE_t, Common::KEYCODE_f, Common::KEYCODE_w},
{Common::KEYCODE_d, Common::KEYCODE_w, Common::KEYCODE_n, Common::KEYCODE_d, Common::KEYCODE_g, Common::KEYCODE_b, Common::KEYCODE_w},
{Common::KEYCODE_j, Common::KEYCODE_c, Common::KEYCODE_j, Common::KEYCODE_c, Common::KEYCODE_j, Common::KEYCODE_h, Common::KEYCODE_m},
{Common::KEYCODE_i, Common::KEYCODE_c, Common::KEYCODE_v, Common::KEYCODE_g, Common::KEYCODE_c, Common::KEYCODE_g, Common::KEYCODE_t},
{Common::KEYCODE_l, Common::KEYCODE_q, Common::KEYCODE_p, Common::KEYCODE_c, Common::KEYCODE_u, Common::KEYCODE_j, Common::KEYCODE_v},
{Common::KEYCODE_h, Common::KEYCODE_n, Common::KEYCODE_w, Common::KEYCODE_v, Common::KEYCODE_g, Common::KEYCODE_k, Common::KEYCODE_b},
{Common::KEYCODE_f, Common::KEYCODE_t, Common::KEYCODE_q, Common::KEYCODE_k, Common::KEYCODE_v, Common::KEYCODE_l, Common::KEYCODE_e},
{Common::KEYCODE_d, Common::KEYCODE_c, Common::KEYCODE_p, Common::KEYCODE_l, Common::KEYCODE_q, Common::KEYCODE_m, Common::KEYCODE_h},
{Common::KEYCODE_e, Common::KEYCODE_w, Common::KEYCODE_d, Common::KEYCODE_g, Common::KEYCODE_p, Common::KEYCODE_n, Common::KEYCODE_l},
{Common::KEYCODE_t, Common::KEYCODE_c, Common::KEYCODE_n, Common::KEYCODE_g, Common::KEYCODE_t, Common::KEYCODE_o, Common::KEYCODE_v},
{Common::KEYCODE_t, Common::KEYCODE_c, Common::KEYCODE_v, Common::KEYCODE_q, Common::KEYCODE_r, Common::KEYCODE_p, Common::KEYCODE_m},
{Common::KEYCODE_i, Common::KEYCODE_q, Common::KEYCODE_d, Common::KEYCODE_n, Common::KEYCODE_k, Common::KEYCODE_q, Common::KEYCODE_o},
{Common::KEYCODE_c, Common::KEYCODE_d, Common::KEYCODE_e, Common::KEYCODE_p, Common::KEYCODE_u, Common::KEYCODE_r, Common::KEYCODE_j},
{Common::KEYCODE_n, Common::KEYCODE_g, Common::KEYCODE_o, Common::KEYCODE_g, Common::KEYCODE_k, Common::KEYCODE_s, Common::KEYCODE_p},
{Common::KEYCODE_n, Common::KEYCODE_n, Common::KEYCODE_g, Common::KEYCODE_w, Common::KEYCODE_t, Common::KEYCODE_t, Common::KEYCODE_o},
{Common::KEYCODE_l, Common::KEYCODE_g, Common::KEYCODE_w, Common::KEYCODE_f, Common::KEYCODE_g, Common::KEYCODE_u, Common::KEYCODE_s},
{Common::KEYCODE_t, Common::KEYCODE_q, Common::KEYCODE_n, Common::KEYCODE_g, Common::KEYCODE_f, Common::KEYCODE_v, Common::KEYCODE_c}
};

std::vector< Gob::Goblin::Gob_Object* > _HotspotObj;

#endif //__DEFINE_GOB_H__
